tigase.cert

## Class OldSelfSignedCertificateGenerator

- java.lang.Object
- - tigase.cert.OldSelfSignedCertificateGenerator

- All Implemented Interfaces:
    CertificateGenerator

      public class OldSelfSignedCertificateGenerator
      extends Object
      implements CertificateGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OldSelfSignedCertificateGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509Certificate` | `generateSelfSignedCertificate(String email, String domain, String organizationUnit, String organization, String city, String state, String country, KeyPair keyPair)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OldSelfSignedCertificateGenerator

          public OldSelfSignedCertificateGenerator()

  - ### Method Detail

    - #### generateSelfSignedCertificate

          public X509Certificate generateSelfSignedCertificate(String email,
                                                               String domain,
                                                               String organizationUnit,
                                                               String organization,
                                                               String city,
                                                               String state,
                                                               String country,
                                                               KeyPair keyPair)
                                                        throws CertificateException,
                                                               IOException,
                                                               NoSuchAlgorithmException,
                                                               InvalidKeyException,
                                                               NoSuchProviderException,
                                                               SignatureException

      Specified by:
        `generateSelfSignedCertificate` in interface `CertificateGenerator`
      Throws:
        `CertificateException`
        `IOException`
        `NoSuchAlgorithmException`
        `InvalidKeyException`
        `NoSuchProviderException`
        `SignatureException`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.